from selenium import webdriver
from bs4 import BeautifulSoup
import time

def extract_information(link_element):
    title = link_element.find('title').text
    link = link_element.find('link').text
    comments = link_element.find('comments').text
    creator = link_element.find('dc:creator').text
    pub_date = link_element.find('pubDate').text
    category = link_element.find('category').text
    guid = link_element.find('guid').text
    description = link_element.find('description').text
    content_encoded = link_element.find('content:encoded').text

    # Output the extracted information for each link
    print("Title:", title)
    print("Link:", link)
    print("Comments:", comments)
    print("Creator:", creator)
    print("Publication Date:", pub_date)
    print("Category:", category)
    print("GUID:", guid)
    print("Description:", description)
    print("Content Encoded:", content_encoded)
    print("\n" + "-"*50 + "\n")

# Set up Selenium webdriver (make sure you have the appropriate webdriver for your browser)
driver = webdriver.Chrome()

# URL of the page containing the XML-like content
url = "https://hitsound.ir/feed/"

# Navigate to the page
driver.get(url)
print("sleep")
# Wait for the page to load (you can adjust the sleep duration as needed)
time.sleep(5)

# Alternatively, you can use an implicit wait to wait for elements to be present
# driver.implicitly_wait(10)

# Get the HTML content of the page
html_content = driver.page_source
print("source")
# Close the browser
driver.quit()

# Parse HTML content using BeautifulSoup
soup = BeautifulSoup(html_content, 'html.parser')
print("parse")
# Find all link elements on the page
link_elements = soup.find_all('item')
print("findlinks")
# Print debug information
print("Number of link elements found:", len(link_elements))

# Extract information for each link
for link_element in link_elements:
    extract_information(link_element)
